<?php

/**
 * index.php
 *
 * Copyright (c) 1999-2002 The SquirrelMail Project Team
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * This file simply takes any attempt to view source files and sends those
 * people to the login screen. At this point no attempt is made to see if
 * the person is logged or not.
 *
 * $Id: index.php,v 1.0 2002/12/04 21:01:40 bennyben Exp $
 */


function squirrelmail_plugin_init_multilogin() {
  global $squirrelmail_plugin_hooks;
  
  $squirrelmail_plugin_hooks['login_before']['multilogin'] = 'multilogin_login';
  $squirrelmail_plugin_hooks['login_form']['multilogin'] = 'multilogin_form';
  $squirrelmail_plugin_hooks['session_recall']['multilogin'] = 'multilogin_session_recall';
  $squirrelmail_plugin_hooks['login_verified']['multilogin'] = 'multilogin_login_verified';
}

function multilogin_login_verified()
{
    // register server and host to be used after for real connection
  global $imapServerAddress, $imapPort, $smtpServerAddress, $smtpPort, $domain;

  sqsession_register ($imapServerAddress, 'imapServerAddress');
  sqsession_register ($imapPort, 'imapPort');
  sqsession_register ($smtpServerAddress, 'smtpServerAddress');
  sqsession_register ($smtpPort, 'smtpPort');
  sqsession_register ($domain, 'domain');
}

function multilogin_session_recall()
{
  global $_SESSION, $imapServerAddress, $imapPort, $domain, $smtpServerAddress, $smtpPort;

  if($_SESSION['imapServerAddress'] != '')
    $imapServerAddress = $_SESSION['imapServerAddress'];
  if($_SESSION['imapPort'] != '')
    $imapPort = $_SESSION['imapPort'];
  if($_SESSION['smtpPort'] != '')
    $smtpPort = $_SESSION['smtpPort'];
  if($_SESSION['smtpServerAddress'] != '')
    $smtpServerAddress = $_SESSION['smtpServerAddress'];
  if($_SESSION['domain'] != '')
    $domain = $_SESSION['domain'];
}

function multilogin_form()
{
   global $loginserver;
   include_once('../plugins/multilogin/config.php');

   echo "<CENTER>\n".
        "<TABLE COLS=\"1\" WIDTH=\"350\">\n".
	"  <TR><TD BGCOLOR=\"#FFFFFF\"><TABLE COLS=2 WIDTH=\"100%\">\n".
	"  <TR>\n".
	"    <TD WIDTH='30%' ALIGN=right>" . _($combotext.":") . "</TD>\n".
	"    <TD WIDTH=\"*\" ALIGN=left>\n".
        "       <SELECT NAME=\"loginserver\">\n";
   foreach (array_keys($virtualDomains) as $virtualDomain) {
        echo "          <OPTION VALUE=\"".$virtualDomain."\">".$virtualDomains[$virtualDomain]['org_name']."\n";
   }
   echo "       </SELECT>\n".
	"    </TD>\n".
	"  </TR>\n".
	"<TABLE>\n".
	"</CENTER>\n";
}

function multilogin_login() {

  global $loginserver, $org_name, $squirrelmail_default_language;

  global $domain, $imapServerAddress, $imapPort, $useSendmail, $smtpServerAddress,
         $smtpPort, $sendmail_path, $use_authenticated_smtp,
         $pop_before_smtp, $imap_server_type, $invert_time, 
         $optional_delimiter, $domain;
         
  global $default_folder_prefix, $trash_folder, $sent_folder, $draft_folder,
         $default_move_to_trash, $default_move_to_sent, $default_save_as_draft,
         $show_prefix_option, $list_special_folders_first, $use_special_folder_color,
         $auto_expunge, $default_sub_of_inbox, $show_contain_subfolders_option,
         $default_unseen_notify, $default_unseen_type, $auto_create_special,
         $delete_folder, $noselect_fix_enable;
      
  include_once('../plugins/multilogin/config.php');


  foreach (array_keys($virtualDomains) as $virtualDomain) {

    if (stristr($loginserver, $virtualDomain)) {

      // set domain-specific global variables
      //
      if (in_array('org_name', array_keys($virtualDomains[$virtualDomain])))
          $org_name = $virtualDomains[$virtualDomain]['org_name'];
      if (in_array('squirrelmail_default_language', array_keys($virtualDomains[$virtualDomain])))
          $squirrelmail_default_language = $virtualDomains[$virtualDomain]['squirrelmail_default_language'];
      if (in_array('domain', array_keys($virtualDomains[$virtualDomain])))
          $domain = $virtualDomains[$virtualDomain]['domain'];

      if (in_array('domain', array_keys($virtualDomains[$virtualDomain])))
          $omain = $virtualDomains[$virtualDomain]['domain'];
      if (in_array('imapServerAddress', array_keys($virtualDomains[$virtualDomain])))
          $imapServerAddress = $virtualDomains[$virtualDomain]['imapServerAddress'];
      if (in_array('imapPort', array_keys($virtualDomains[$virtualDomain])))
          $imapPort = $virtualDomains[$virtualDomain]['imapPort'];
      if (in_array('useSendmail', array_keys($virtualDomains[$virtualDomain])))
          $useSendmail = $virtualDomains[$virtualDomain]['useSendmail'];
      if (in_array('smtpServerAddress', array_keys($virtualDomains[$virtualDomain])))
          $smtpServerAddress = $virtualDomains[$virtualDomain]['smtpServerAddress'];
      if (in_array('smtpPort', array_keys($virtualDomains[$virtualDomain])))
          $smtpPort = $virtualDomains[$virtualDomain]['smtpPort'];
      if (in_array('sendmail_path', array_keys($virtualDomains[$virtualDomain])))
          $sendmail_path = $virtualDomains[$virtualDomain]['sendmail_path'];
      if (in_array('use_authenticated_smtp', array_keys($virtualDomains[$virtualDomain])))
          $use_authenticated_smtp = $virtualDomains[$virtualDomain]['use_authenticated_smtp'];
      if (in_array('pop_before_smtp', array_keys($virtualDomains[$virtualDomain])))
          $pop_before_smtp = $virtualDomains[$virtualDomain]['pop_before_smtp'];
      if (in_array('imap_server_type', array_keys($virtualDomains[$virtualDomain])))
          $imap_server_type = $virtualDomains[$virtualDomain]['imap_server_type'];
      if (in_array('invert_time', array_keys($virtualDomains[$virtualDomain])))
          $invert_time = $virtualDomains[$virtualDomain]['invert_time'];
      if (in_array('optional_delimiter', array_keys($virtualDomains[$virtualDomain])))
          $optional_delimiter = $virtualDomains[$virtualDomain]['optional_delimiter'];

      if (in_array('default_folder_prefix', array_keys($virtualDomains[$virtualDomain])))
          $default_folder_prefix = $virtualDomains[$virtualDomain]['default_folder_prefix'];
      if (in_array('trash_folder', array_keys($virtualDomains[$virtualDomain])))
          $trash_folder = $virtualDomains[$virtualDomain]['trash_folder'];
      if (in_array('sent_folder', array_keys($virtualDomains[$virtualDomain])))
          $sent_folder = $virtualDomains[$virtualDomain]['sent_folder'];
      if (in_array('draft_folder', array_keys($virtualDomains[$virtualDomain])))
          $draft_folder = $virtualDomains[$virtualDomain]['draft_folder'];
      if (in_array('default_move_to_trash', array_keys($virtualDomains[$virtualDomain])))
          $default_move_to_trash = $virtualDomains[$virtualDomain]['default_move_to_trash'];
      if (in_array('default_move_to_sent', array_keys($virtualDomains[$virtualDomain])))
          $default_move_to_sent = $virtualDomains[$virtualDomain]['default_move_to_sent'];
      if (in_array('default_save_as_draft', array_keys($virtualDomains[$virtualDomain])))
          $default_save_as_draft = $virtualDomains[$virtualDomain]['default_save_as_draft'];
      if (in_array('show_prefix_option', array_keys($virtualDomains[$virtualDomain])))
          $show_prefix_option = $virtualDomains[$virtualDomain]['show_prefix_option'];
      if (in_array('list_special_folders_first', array_keys($virtualDomains[$virtualDomain])))
          $list_special_folders_first = $virtualDomains[$virtualDomain]['list_special_folders_first'];
      if (in_array('use_special_folder_color', array_keys($virtualDomains[$virtualDomain])))
          $use_special_folder_color = $virtualDomains[$virtualDomain]['use_special_folder_color'];
      if (in_array('auto_expunge', array_keys($virtualDomains[$virtualDomain])))
          $auto_expunge = $virtualDomains[$virtualDomain]['auto_expunge'];
      if (in_array('default_sub_of_inbox', array_keys($virtualDomains[$virtualDomain])))
          $default_sub_of_inbox = $virtualDomains[$virtualDomain]['default_sub_of_inbox'];
      if (in_array('show_contain_subfolders_option', array_keys($virtualDomains[$virtualDomain])))
          $show_contain_subfolders_option = $virtualDomains[$virtualDomain]['show_contain_subfolders_option'];
      if (in_array('default_unseen_notify', array_keys($virtualDomains[$virtualDomain])))
          $default_unseen_notify = $virtualDomains[$virtualDomain]['default_unseen_notify'];
      if (in_array('default_unseen_type', array_keys($virtualDomains[$virtualDomain])))
          $default_unseen_type = $virtualDomains[$virtualDomain]['default_unseen_type'];
      if (in_array('auto_create_special', array_keys($virtualDomains[$virtualDomain])))
          $auto_create_special = $virtualDomains[$virtualDomain]['auto_create_special'];
      if (in_array('delete_folder', array_keys($virtualDomains[$virtualDomain])))
          $delete_folder = $virtualDomains[$virtualDomain]['delete_folder'];
      if (in_array('noselect_fix_enable', array_keys($virtualDomains[$virtualDomain])))
          $noselect_fix_enable = $virtualDomains[$virtualDomain]['noselect_fix_enable'];

      break;

    }

  }
}

?>
